#ifndef QLOGINWIDGET_H
#define QLOGINWIDGET_H

#include <string>
#include <QtWidgets/QtWidgets>
#include "ui_QLoginWidget.h"


using namespace std;

class QLoginWidget : public QDialog
{
	Q_OBJECT

public:
	QLoginWidget(QWidget *parent = 0);
	~QLoginWidget();

	bool isLogin() const { return doesLoginSuccess; }

private:
	void init();
	void initWidget();
	void initSignal();

protected Q_SLOTS:
	void onLogin();
	void onCancel();

	void onQueryUserInfo();

private:
	Ui::QLoginWidget ui;
	QTextCodec * pCodecLocal;
	QTextCodec * pCodecUTF8;

private:
	string userCode;
	string userName;
	string userPassword;

	bool doesLoginSuccess;
};

#endif // QLOGINWIDGET_H
